#include <iostream>

using namespace std;

int main()
{
    int n,l,a;
    cin >> n >> l;
    int izlaz = -1;
    for(int i = 1; i <=n; i++){
        cin >> a;
        if(l >= a){
           izlaz = i;
           break;
        }
    }
    cout << izlaz;
    return 0;
}